{
    "packages": [
        {
            "name": "kornrunner/keccak",
            "version": "1.1.0",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/kornrunner/php-keccak.git",
                "reference": "433749d28e117fb97baf9f2631b92b5d9ab3c890"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/kornrunner/php-keccak/zipball/433749d28e117fb97baf9f2631b92b5d9ab3c890",
                "reference": "433749d28e117fb97baf9f2631b92b5d9ab3c890",
                "shasum": ""
            },
            "require": {
                "php": ">=7.3",
                "symfony/polyfill-mbstring": "^1.8"
            },
            "require-dev": {
                "phpunit/phpunit": "^8.2"
            },
            "time": "2020-12-07T15:40:44+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "kornrunner\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Boris Momcilovic",
                    "homepage": "https://github.com/kornrunner/php-keccak"
                }
            ],
            "description": "Pure PHP implementation of Keccak",
            "keywords": [
                "keccak",
                "sha-3",
                "sha3-256"
            ],
            "support": {
                "issues": "https://github.com/kornrunner/php-keccak/issues",
                "source": "https://github.com/kornrunner/php-keccak/tree/1.1.0"
            },
            "install-path": "../kornrunner/keccak"
        },
        {
            "name": "simplito/bigint-wrapper-php",
            "version": "1.0.0",
            "version_normalized": "1.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/simplito/bigint-wrapper-php.git",
                "reference": "cf21ec76d33f103add487b3eadbd9f5033a25930"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/simplito/bigint-wrapper-php/zipball/cf21ec76d33f103add487b3eadbd9f5033a25930",
                "reference": "cf21ec76d33f103add487b3eadbd9f5033a25930",
                "shasum": ""
            },
            "time": "2018-02-27T12:38:08+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "BI\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Simplito Team",
                    "email": "s.smyczynski@simplito.com",
                    "homepage": "https://simplito.com"
                }
            ],
            "description": "Common interface for php_gmp and php_bcmath modules",
            "support": {
                "issues": "https://github.com/simplito/bigint-wrapper-php/issues",
                "source": "https://github.com/simplito/bigint-wrapper-php/tree/1.0.0"
            },
            "install-path": "../simplito/bigint-wrapper-php"
        },
        {
            "name": "simplito/bn-php",
            "version": "1.1.4",
            "version_normalized": "1.1.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/simplito/bn-php.git",
                "reference": "83446756a81720eacc2ffb87ff97958431451fd6"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/simplito/bn-php/zipball/83446756a81720eacc2ffb87ff97958431451fd6",
                "reference": "83446756a81720eacc2ffb87ff97958431451fd6",
                "shasum": ""
            },
            "require": {
                "simplito/bigint-wrapper-php": "~1.0.0"
            },
            "require-dev": {
                "phpunit/phpunit": "*"
            },
            "time": "2024-01-10T16:16:59+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "BN\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Simplito Team",
                    "email": "s.smyczynski@simplito.com",
                    "homepage": "https://simplito.com"
                }
            ],
            "description": "Big number implementation compatible with bn.js",
            "support": {
                "issues": "https://github.com/simplito/bn-php/issues",
                "source": "https://github.com/simplito/bn-php/tree/1.1.4"
            },
            "install-path": "../simplito/bn-php"
        },
        {
            "name": "simplito/elliptic-php",
            "version": "1.0.12",
            "version_normalized": "1.0.12.0",
            "source": {
                "type": "git",
                "url": "https://github.com/simplito/elliptic-php.git",
                "reference": "be321666781be2be2c89c79c43ffcac834bc8868"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/simplito/elliptic-php/zipball/be321666781be2be2c89c79c43ffcac834bc8868",
                "reference": "be321666781be2be2c89c79c43ffcac834bc8868",
                "shasum": ""
            },
            "require": {
                "ext-gmp": "*",
                "simplito/bn-php": "~1.1.0"
            },
            "require-dev": {
                "phpbench/phpbench": "@dev",
                "phpunit/phpunit": "*"
            },
            "time": "2024-01-09T14:57:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Elliptic\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Simplito Team",
                    "email": "s.smyczynski@simplito.com",
                    "homepage": "https://simplito.com"
                }
            ],
            "description": "Fast elliptic curve cryptography",
            "homepage": "https://github.com/simplito/elliptic-php",
            "keywords": [
                "Curve25519",
                "ECDSA",
                "Ed25519",
                "EdDSA",
                "cryptography",
                "curve",
                "curve25519-weier",
                "ecc",
                "ecdh",
                "elliptic",
                "nistp192",
                "nistp224",
                "nistp256",
                "nistp384",
                "nistp521",
                "secp256k1"
            ],
            "support": {
                "issues": "https://github.com/simplito/elliptic-php/issues",
                "source": "https://github.com/simplito/elliptic-php/tree/1.0.12"
            },
            "install-path": "../simplito/elliptic-php"
        },
        {
            "name": "symfony/polyfill-mbstring",
            "version": "v1.33.0",
            "version_normalized": "1.33.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-mbstring.git",
                "reference": "6d857f4d76bd4b343eac26d6b539585d2bc56493"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/6d857f4d76bd4b343eac26d6b539585d2bc56493",
                "reference": "6d857f4d76bd4b343eac26d6b539585d2bc56493",
                "shasum": ""
            },
            "require": {
                "ext-iconv": "*",
                "php": ">=7.2"
            },
            "provide": {
                "ext-mbstring": "*"
            },
            "suggest": {
                "ext-mbstring": "For best performance"
            },
            "time": "2024-12-23T08:48:59+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Mbstring\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Mbstring extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "mbstring",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-mbstring/tree/v1.33.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://github.com/nicolas-grekas",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-mbstring"
        },
        {
            "name": "workerman/globaldata",
            "version": "v1.0.6",
            "version_normalized": "1.0.6.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/GlobalData.git",
                "reference": "9f5082ad712d98c0deedfbfe244661dce151926f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/GlobalData/zipball/9f5082ad712d98c0deedfbfe244661dce151926f",
                "reference": "9f5082ad712d98c0deedfbfe244661dce151926f",
                "shasum": ""
            },
            "require": {
                "workerman/workerman": ">=3.3.0"
            },
            "time": "2024-12-27T12:40:16+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GlobalData\\": "./src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "homepage": "http://www.workerman.net",
            "support": {
                "issues": "https://github.com/walkor/GlobalData/issues",
                "source": "https://github.com/walkor/GlobalData/tree/v1.0.6"
            },
            "install-path": "../workerman/globaldata"
        },
        {
            "name": "workerman/workerman",
            "version": "v4.2.1",
            "version_normalized": "4.2.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/workerman.git",
                "reference": "cafb5a43d93d7d30a16b32a57948581cca993562"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/workerman/zipball/cafb5a43d93d7d30a16b32a57948581cca993562",
                "reference": "cafb5a43d93d7d30a16b32a57948581cca993562",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2024-11-24T11:45:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Workerman\\": "./"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "http://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "An asynchronous event driven PHP framework for easily building fast, scalable network applications.",
            "homepage": "http://www.workerman.net",
            "keywords": [
                "asynchronous",
                "event-loop"
            ],
            "support": {
                "email": "walkor@workerman.net",
                "forum": "http://wenda.workerman.net/",
                "issues": "https://github.com/walkor/workerman/issues",
                "source": "https://github.com/walkor/workerman",
                "wiki": "http://doc.workerman.net/"
            },
            "funding": [
                {
                    "url": "https://opencollective.com/workerman",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/walkor",
                    "type": "patreon"
                }
            ],
            "install-path": "../workerman/workerman"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
